Package Details: gopenvpn-git svn.migration.r12.gb4192eb-6

Git Clone URL: https://aur.archlinux.org/gopenvpn-git.git (read-only, click to copy)
Package Base: gopenvpn-git
Description: gopenvpn is a simple graphical front-end for OpenVPN, the open source VPN solution.
Upstream URL: http://gopenvpn.sourceforge.net/
Keywords: frontend gui openvpn vpn
Licenses: GPL
Submitter: revel
Maintainer: revel
Last Packager: revel
Votes: 31
Popularity: 0.000000
First Submitted: 2014-04-07 12:12
Last Updated: 2017-02-14 06:16

Latest Comments

« First ‹ Previous 1 2

Anonymous comment on 2012-09-25 17:15

I build it from git a week ago. The errors you get from autoreconf -vi command pretty much tell you what needs to be done. Specifically,

automake: warnings are treated as errors
configure.ac:25: warning: The 'AM_PROG_MKDIR_P' macro is deprecated, and will soon be removed.
configure.ac:25: You should use the Autoconf-provided 'AC_PROG_MKDIR_P' macro instead,
configure.ac:25: and use '$(MKDIR_P)' instead of '$(mkdir_p)'in your Makefile.am files.
autoreconf: automake failed with exit status: 1

I did a find . | xargs grep "AM_PROG_MKDIR" -s1 and find . | xargs grep "mkdir_p" -s1 to find the files with the strings in them and then replaced them with the ones mentioned in the error. It's then possible to build the package and install it.

HalJordan commented on 2012-09-24 00:23

I tried building from git myself, running into errors. Autoreconf is complaining about some deprecated errors. I can't get it to build.
He's likely trying to lop off those bugs before he can give us a PKGBUILD. We'll likely have to remove this(if you ever got it to install in the first place) and switch over to a -git.

Anonymous comment on 2012-09-20 11:17

Any news? Is this software still under development?

Andrwe commented on 2012-03-18 19:36

Hi,

as the project has moved to git I'm currently working on a PKGBUILD for git.

Hopefully I'll finish it till next week-end.

Anonymous comment on 2012-03-16 19:54

/usr/bin/ld: eggtrayicon.o: undefined reference to symbol 'XUngrabServer'
/usr/bin/ld: note: 'XUngrabServer' is defined in DSO /usr/lib/libX11.so.6 so try adding it to the linker command line
/usr/lib/libX11.so.6: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[2]: *** [gopenvpn] Error 1
make[2]: Leaving directory `/tmp/yaourt-tmp-yugoer/aur-gopenvpn-svn/src/gopenvpn-build/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/yaourt-tmp-yugoer/aur-gopenvpn-svn/src/gopenvpn-build'
make: *** [all] Error 2

it has given error

Anonymous comment on 2011-11-23 13:04

The package at url http://majki.hu/ovpngui-1.0.1-x86_64.tgz is missing:404 not found.
Cf. PKGBUILD

Andrwe commented on 2011-05-20 21:56

autoconf is part of base-devel which should be installed if you want to use AUR-packages because all rely on having it.
see wiki page:

https://wiki.archlinux.org/index.php/AUR#Prerequisites

programmerq commented on 2011-01-17 17:42

I needed to add 'autoconf' to makedepends because autom4te wasn't installed.

Andrwe commented on 2010-07-05 07:44

I've updated the PKGBUILD to suit the templates provided by pacman.
Also now the script gksu-wrapper will be installed to /usr/lib/gopenvpn/ and the default setting of the PKGBUILD is to build gopenvpn with gvim and gksu-wrapper as replacement for gksu and gedit.